Uploaded image for project: 'Service Packs and Hot Fixes'
  1. Service Packs and Hot Fixes
  2. MNT-19443

ACS 5.2.2 and 5.2.3 Platform Linux 64 bit installer not packaged correctly

    Details

    • Type: Service Pack Request
    • Status: Closed (View Workflow)
    • Resolution: Fixed
    • Affects Version/s: 5.2.2, 5.2.3
    • Fix Version/s: 5.2.4
    • Component/s: Build, Installer
    • Labels:
      None
    • Environment:
      RHEL/Linux
    • Bug Priority:
      Category 1
    • ACT Numbers:

      00959034

    • Regression Since:

      Description

      Customer noticed inconsistent amp packaging behavior and installation problem when running ACS 5.2.2 and 5.2.3 Linux Platform Only vs All-in-One full package installer.

      I have ran several test to further validate the difference between 5.2.1, 5.2.2, 5.2.3 's platform only Linux installer vs All-In-One Linux full package installer.

      My findings are as below:

      (a) Cannot deselect solr4 when running Linux platform only installer for 5.2.2 and 5.2.3. Works fine in 5.2.1 platform installer.

      Steps to reproduce

      1. Run the installer on RHEL/Linux platform.
      2. Select Advance Installation
      3. Uncheck the Solr4 checkbox, click 'Forward' 

      Actual result

      You will get the error "Warning: Unknown element alfrescosolr", There is no way to continue, unless you go back and check/select the 'Solr4' checkbox.

      1. Issue reproduced with below problematic installers:
        • alfresco-content-services-platform-installer-5.2.2-linux-x64.bin
        • alfresco-content-services-platform-installer-5.2.3-linux-x64.bin
      2. Issue NOT reproduce with:
        • alfresco-content-services-platform-installer-5.2.1-linux-x64.bin
        • alfresco-content-services-installer-5.2.1-linux-x64.bin
        • alfresco-content-services-installer-5.2.2-linux-x64.bin
        • alfresco-content-services-installer-5.2.3-linux-x64.bin

      Expected result
      User can uncheck Solr4 checkbox using 5.2.2 and 5.2.3 Linux Platform only installer and still able to complete the installation without error.

      (b) To continue, select 'Solr4' component to installed and the installation should complete without problem. When double check in Enterprise Admin Console, you see the second problem where AOS 1.1.6 amp being installed instead of the AOS 1.1.7.

      Actual Result
      My test findings indicated below:

      1. AOS 1.1.6 is bundled with
        • alfresco-content-services-installer-5.2.1-linux-x64.bin
        • alfresco-content-services-platform-installer-5.2.1-linux-x64.bin
        • alfresco-content-services-platform-installer-5.2.2-linux-x64.bin
        • alfresco-content-services-platform-installer-5.2.3-linux-x64.bin
      2. AOS 1.1.7 is bundled with
        • alfresco-content-services-installer-5.2.2-linux-x64.bin
        • alfresco-content-services-installer-5.2.3-linux-x64.bin

      Expected Result
      Both of the Platform installer and full package installer for ACS 5.2.2 and ACS 5.2.3 should bundled with AOS 1.1.7. There should be no difference of bundled AOS version as these are both installer for the same ACS version.

      Please find all my test findings screenshot in the attached zip.

      Based on above findings, customer believe these are bugs and has requested to fix it and ensure it does not happen again in future release because they use both full package installer and platform installer for two servers.

        Attachments

          Structure

            Activity

              People

              • Assignee:
                closedbugs Closed Bugs
                Reporter:
                sliaw Seng Liaw
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Structure Helper Panel